Subject: Permaculture references

From: [email-masked] (timothy w eubanks)
Date: 6 Mar 1994 17:33:55 GMT

Hi.  I'm a student at the Univ. of Arizona who is interested in the rapidly
growing field of permaculture.  If anyone knows of personal contacts in the
field that specialize in arid southwestern permaculture (especially desert)
please post them.  Contacts in the Tucson area would be even more appreciated.

Sincerely,
Tim Eubanks

[email-masked]